#include "engine/renderer/opengl/renderer_opengl.h"

#include "base/log.h"
#include "engine/platform/platform.h"

namespace eng {

bool RendererOpenGL::Initialize(Platform* platform) {
  LOG(0) << "Initializing renderer.";

  return InitCommon();
}

void RendererOpenGL::OnDestroy() {}

void RendererOpenGL::Shutdown() {
  LOG(0) << "Shutting down renderer.";
  is_initialized_ = false;
}

void RendererOpenGL::Present() {
  active_shader_id_ = 0;
  active_texture_id_ = 0;
  fps_++;
}

}  // namespace eng
